%global srcname webcolors

%if 0%{?fedora} > 0
%global has_py3 1
%else
%global has_py3 0
%endif

Name:           python-%{srcname}
Version:        1.7
Release:        2%{?dist}
Summary:        A library for working with HTML and CSS color names and value formats

License:        BSD
URL:            https://github.com/ubernostrum/webcolors
Source0:        https://pypi.python.org/packages/1c/11/d9fb5a7c872a941ad8b30a4be191253d5a9028834c4d69eab55bb6bc60be/webcolors-1.7.tar.gz
Source1:        description-%{srcname}.txt

BuildArch:      noarch

%if %{has_py3}
BuildRequires:  python2-devel
BuildRequires:  python2-flake8
BuildRequires:  python2-nose
BuildRequires:  python2-sphinx
BuildRequires:  python2-sphinx_rtd_theme

BuildRequires:  python3-devel
BuildRequires:  python3-flake8
BuildRequires:  python3-nose
%else
BuildRequires:  python-devel
BuildRequires:  python-flake8
BuildRequires:  python-nose
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
%endif


%description
%(cat %{SOURCE1})


%if %{has_py3}
%package -n python3-%{srcname}
Summary:        %{summary}


%description -n python3-%{srcname}
%(cat %{SOURCE1})

This package installs the %{srcname} module for Python 3.
%endif


%prep
%setup -q -n %{srcname}-%{version}

%if %{has_py3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%{__python2} setup.py build
make -C docs html

%if %{has_py3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%if %{has_py3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif


%check
nosetests-%{python2_version}

%if %{has_py3}
flake8 webcolors.py

pushd %{py3dir}
nosetests-%{python3_version}
python3-flake8 webcolors.py
popd
%endif


%files
%doc PKG-INFO LICENSE README.rst docs/_build/*
%{python2_sitelib}/%{srcname}*


%if %{has_py3}
%files -n python3-%{srcname}
%{_pkgdocdir}
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{srcname}*
%endif


%changelog
* Sat Feb 11 2017 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.7-2
- Python 3 detection for epel7

* Fri Feb 10 2017 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.7-1
- Bumped version to 1.7
- Updated URL

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.5-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 24 2016 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.5-1
- Bumped version to 1.5
- Upstream now ships tests and documentation

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Dec 09 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.4-1
- Initial spec
